Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface ITransition

    com.change_vision.jude.api.inf.model.ITransition

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public ITransition

extends INamedElement

Interface for Transitions.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getAction()` Get Action.
`abstract String` | `getEvent()` Get Event.
`abstract String` | `getGuard()` Get Guard Condition.
`abstract IVertex` | `getSource()` Get Vertex as Source.
`abstract IVertex` | `getTarget()` Get Vertex as Target.
`abstract void` | `setAction(String action)` Set Action.
`abstract void` | `setEvent(String event)` Set Event.
`abstract void` | `setGuard(String guard)` Set Guard Condition.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSource

    abstract IVertex getSource()

  Get Vertex as Source.

  Returns:
    Vertex.

### getTarget

    abstract IVertex getTarget()

  Get Vertex as Target.

  Returns:
    Vertex.

### getGuard

    abstract String getGuard()

  Get Guard Condition.

  Returns:
    Guard Condition.

### getAction

    abstract String getAction()

  Get Action.

  Returns:
    Action.

### getEvent

    abstract String getEvent()

  Get Event.

  Returns:
    Event.

### setGuard

    abstract void setGuard(String guard)

  Set Guard Condition.

  Parameters:
    `guard` - Guard Condition. In the case of null, Guard Condition shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. PARAMETER_ERROR_KEY - if a parameter is not set properly. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

### setAction

    abstract void setAction(String action)

  Set Action.

  Parameters:
    `action` - Action. In the case of null, Action shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. 　 PARAMETER_ERROR_KEY - if a parameter is not set properly. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

### setEvent

    abstract void setEvent(String event)

  Set Event.

  Parameters:
    `event` - Event. In the case of null, Event shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. PARAMETER_ERROR_KEY - if a parameter is not set properly. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD